Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.config
Class ConfigTestElement

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.config.ConfigTestElement

All Implemented Interfaces:
  Cloneable, ConfigElement, Serializable, TestElement

Direct Known Subclasses:
  Arguments, AuthManager, CacheManager, CookieManager, CSVDataSet, HeaderManager, HTTPFileArgs, JavaConfig, LDAPArguments, LoginConfig, RandomVariableConfig, UserParameterModifier

public class ConfigTestElement
extends AbstractTestElement
implements Serializable, ConfigElement

See Also:
  Serialized Form

Field Summary
`static String` | `PASSWORD`
`static String` | `USERNAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ConfigTestElement()`

Method Summary
`void` | `addConfigElement(ConfigElement config)` Add a configuration element to this one.
`void` | `addTestElement(TestElement parm1)`
`boolean` | `expectsModification()` If your config element expects to be modified in the process of a test run, and you want those modifications to carry over from sample to sample (as in a cookie manager - you want to save all cookies that get set throughout the test), then return true for this method.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.config.ConfigElement
`clone`

Field Detail

### USERNAME

    public static final String USERNAME

See Also:
  Constant Field Values

### PASSWORD

    public static final String PASSWORD

See Also:
  Constant Field Values

Constructor Detail

### ConfigTestElement

    public ConfigTestElement()

Method Detail

### addTestElement

    public void addTestElement(TestElement parm1)

  Specified by:
    `addTestElement` in interface `TestElement`
  Overrides:
    `addTestElement` in class `AbstractTestElement`

### addConfigElement

    public void addConfigElement(ConfigElement config)

  Description copied from interface: `ConfigElement`
  Add a configuration element to this one. This allows config elements to combine and give a "layered" effect. For example, HTTPConfigElements have properties for domain, path, method, and parameters. If element A has everything filled in, but null for domain, and element B is added, which has only domain filled in, then after adding B to A, A will have the domain from B. If A already had a domain, then the correct behavior is for A to ignore the addition of element B.

  Specified by:
    `addConfigElement` in interface `ConfigElement`
  Parameters:
    `config` - the element to be added to this ConfigElement

### expectsModification

    public boolean expectsModification()

  Description copied from interface: `ConfigElement`
  If your config element expects to be modified in the process of a test run, and you want those modifications to carry over from sample to sample (as in a cookie manager - you want to save all cookies that get set throughout the test), then return true for this method. Your config element will not be cloned for each sample. If your config elements are more static in nature, return false. If in doubt, return false.

  Specified by:
    `expectsModification` in interface `ConfigElement`
  Returns:
    true if the element expects to be modified over the course of a test run

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.